<template>
  <div>
    <el-tabs type="border-card" v-model="activeName" style="height: 100%">
      <el-tab-pane
        label="隧道经常检查病害记录"
        name="first"
        style="height: 100%"
      >
        <disease-often v-if="activeName == 'first'"></disease-often>
      </el-tab-pane>
      <el-tab-pane
        label="隧道定期检查病害记录"
        name="second"
        style="height: 100%"
      >
        <disease-regular v-if="activeName == 'second'"></disease-regular>
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
import diseaseOften from '@/views/structureArchivesManagement/tunnelFolder/diseaseOften'
import diseaseRegular from '@/views/structureArchivesManagement/tunnelFolder/diseaseRegular'
export default {
  components: {
    diseaseOften,
    diseaseRegular,
  },
  data() {
    return {
      activeName: 'first',
    }
  },
}
</script>

<style lang="scss" scoped>
/deep/.el-tabs--border-card > .el-tabs__content {
  height: calc(100% - 8%) !important;
}
/deep/.el-tabs__item {
  font-size: 12px !important;
}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item {
    //  color: #606266;

}
/deep/.el-tabs--border-card > .el-tabs__header .el-tabs__item.is-active {
  // color: #211bce;
  font-weight: bold;
}
</style>